MobileMe E-mail on older browsers

Discussion in 'Apple Music, Apple Pay, iCloud, Apple Services' started by Antares, Jul 14, 2008.

  1. Antares macrumors 68000

    Antares

    #1
    Does anyone know if there is a way to access MobileMe e-mail on older browsers? Specifically, Internet Explorer version 6.0.2900 on a PC? .Mac had a legacy logon. You were given an option of the old version of .Mac e-mail or the "new" version of .Mac. FYI: both versions worked fine in IE. Now, with MobileMe, I get a message saying, "unsupported browser." and given links to download Firefox or Safari...that's it. No way to login and accept that some things may not work.

    The problem is, this is a work PC and it is against policy to download software or do my own upgrades. I also don't have an iPhone and can't access this through my regular phone. Which is a bugger.

    Is there a direct link to e-mail or does anyone know of a way to trick the web mail into opening on "unsupported" browsers?
     
  2. punkkid219 macrumors newbie

    punkkid219

    Joined:
    Jul 11, 2008
    #2
  3. punkkid219 macrumors newbie

    punkkid219

    Joined:
    Jul 11, 2008

Share This Page